> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/sdk-reference/saa-s-sdk/saa-s-api/workspace-members/update-workspace-member-role/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Update workspace member role PATCH https://alephant.io/api/v1/workspace-members/{id} Content-Type: application/json Update a member's role. Only owner or admin. Cannot demote the last owner. Reference: https://developers.alephant.io/api-reference/saa-s-api/workspace-members/update-workspace-member-role ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Path parameters - `id` (string, required) — Member UUID ### Headers - `Authorization` (string, required) — Bearer \{access\_token} - `X-Workspace-Id` (string, required) — Workspace UUID ### Body (application/json) This endpoint expects an internal_api_handlers_workspace_members.UpdateRoleRequest. - `role` (string, required) ## Response ### 200 data: updated member - `map from string to any` ## Errors ### 400 Bad Request Error X-Workspace-Id required - `map from string to any` ### 401 Unauthorized Error AUTH_TOKEN_EXPIRED - `map from string to any` ### 403 Forbidden Error FORBIDDEN - `map from string to any` ### 404 Not Found Error NOT_FOUND - `map from string to any` ### 422 Unprocessable Entity Error VALIDATION_ERROR - `map from string to any` ## Examples **Request** ```json { "role": "string" } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/workspace-members/id" payload = { "role": "string" } headers = { "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/workspace-members/id'; const options = { method: 'PATCH', headers: { Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id', 'Content-Type': 'application/json' }, body: '{"role":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/workspace-members/id" payload := strings.NewReader("{\n \"role\": \"string\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Authorization") req.Header.Add("X-Workspace-Id", "X-Workspace-Id") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/workspace-members/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Authorization' request["X-Workspace-Id"] = 'X-Workspace-Id' request["Content-Type"] = 'application/json' request.body = "{\n \"role\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://alephant.io/api/v1/workspace-members/id") .header("Authorization", "Authorization") .header("X-Workspace-Id", "X-Workspace-Id") .header("Content-Type", "application/json") .body("{\n \"role\": \"string\"\n}") .asString(); ``` ```php request('PATCH', 'https://alephant.io/api/v1/workspace-members/id', [ 'body' => '{ "role": "string" }', 'headers' => [ 'Authorization' => 'Authorization', 'Content-Type' => 'application/json', 'X-Workspace-Id' => 'X-Workspace-Id', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/workspace-members/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Authorization"); request.AddHeader("X-Workspace-Id", "X-Workspace-Id"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"role\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id", "Content-Type": "application/json" ] let parameters = ["role": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/workspace-members/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```